import { FormConfig } from "/@/components/PageSearch";
import { ACCOUNT_STATUS_OPTIONS } from "/@/config/status";
import { convertOptions } from "/@/utils/column-helper";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "status",
      type: "select",
      placeholder: "账号状态",
      options: convertOptions(ACCOUNT_STATUS_OPTIONS)
    },
    {
      field: ["inventory_start", "inventory_end"],
      type: "range",
      otherOptions: {
        startPlaceholder: "库存起始值",
        endPlaceholder: "库存结束值",
        precision: 0
      }
    },

    {
      field: "good_name",
      type: "input",
      placeholder: "商品编号"
    },
    {
      field: "good_name",
      type: "input",
      placeholder: "商品名称"
    },
    {
      field: "username",
      type: "input",
      placeholder: "账号"
    },
    {
      field: "nickname",
      type: "input",
      placeholder: "客户姓名"
    },
    {
      field: "mobile",
      type: "input",
      placeholder: "客户手机号"
    }
  ]
};

export default searchFormConfig;
