import { ContentConfig } from "/@/components/PageContent";
import { httpList, httpStatus, httpDelete } from "/@/api/operate/setComCard";
import { renderStatus } from "/@/utils/column-helper";
import { STATUS_OPTIONS } from "/@/config/status";

const columns = [
  {
    prop: "company_title",
    "min-width": "200px",
    label: "公司名称"
  },

  {
    prop: "card_title",
    "min-width": "120px",
    label: "卡类型"
  },

  {
    prop: "status",
    label: "状态",
    "min-width": "80px",
    ...renderStatus(STATUS_OPTIONS)
  },

  {
    prop: "addtime",
    "min-width": "150px",
    label: "创建时间"
  },

  {
    label: "操作",
    fixed: "right",
    width: 140,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "商品管理",
  columns,
  apis: {
    httpList,
    httpStatus,
    httpDelete
  }
};

export default contentConfig;
